/*
 Theme Name:     Divi Child Theme
 Theme URI:      https://www.elegantthemes.com/
 Description:    Nadogradnje na temu
 Author:         AdriaBox vl. Dominik Kosić
 Author URI:     https://www.adriabox.com
 Template:       Divi
 Version:        1.0.0
*/

/* =Theme customization starts here
------------------------------------------------------- */
.nav li ul {
  width: 420px;
}

#top-menu li li a {
  width: 380px;
}

img[title] {
  pointer-events: none;
}

/** -------- Mobile menu ------------- **/
@media (max-width: 981px) {

  body {
    --header-height: 90px;
    --admin-bar-height: 32px;
  }

  .et_divi_theme #et_mobile_nav_menu {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .et_divi_theme .logo_container {
    display: flex;
    justify-content: flex-start;

    #logo {
      max-width: 85%;
    }
  }

  .et_divi_theme #main-header .container {
    width: 90%;
  }

  .et_divi_theme .select_page {
    display: none !important;
  }

  .et_divi_theme .mobile_menu_bar.mobile_menu_bar_toggle {
    position: relative;
    top: 0;
    left: 0;
    padding-bottom: 0 !important;
  }

  .et_divi_theme #et_mobile_nav_menu {
    margin-top: 0px !important;
  }

  .et_divi_theme .et_menu_container {
    display: grid;
    align-items: center;
    grid-template-columns: auto 68px;
  }

  .et_header_style_split #main-header .mobile_nav {
    background-color: transparent;
  }

  .et_divi_theme .et_mobile_menu {
    position: fixed;
    top: var(--header-height);
    border-top: 0px;
    overflow-y: scroll;
    overflow-x: hidden;
    max-height: calc(100svh - var(--header-height));

    li {
      a {
        color: #fff;
        font-family: 'Montserrat', sans-serif;
        font-weight: 300;
        text-transform: uppercase;
        font-size: 1rem;
        padding-left: 8px;
        border-bottom: none;
        margin-bottom: 12px;
      }

      .sub-menu {
        padding-left: 0px !important;

        li {
          padding-left: 0px;
        }
      }
    }
  }

  .et_divi_theme.admin-bar .et_mobile_menu {
    top: calc(var(--header-height) + var(--admin-bar-height));
    --total-height: calc(var(--header-height) + var(--admin-bar-height));
    border-top: 0px;
    overflow-y: scroll;
    overflow-x: hidden;
    max-height: calc(100svh - var(--total-height));

    
  }

  body:has(.mobile_nav.opened) {
    overflow: hidden;
  }
}


@media (max-width: 448px) {
  body {
    --header-height: 90px;
    --admin-bar-height: 32px;
  }
}